<h1>Users</h1>
<input type="text" placeholder="Search" [formControl]="searchControl"/>
<button *appIfAuthenticated routerLink="/users/add">add</button>
<ul>
  <li *ngFor="let u of users$ | async">{{u.id}} - {{u.name}} cities: <span *ngFor="let c of u.cities">{{c.name}} </span>
    <button mat-stroked-button [routerLink]="'/users/' + u.id">details</button>
    <button mat-stroked-button (click)="onDelete(u)">delete</button>
  </li>
</ul>
